#!/bin/bash

set -xe

#~gcc -g -ansi -Wall -Wextra -Wpedantic -Werror -o ./example/view ./example/view.c /usr/include/xolatile/xurses.o
gcc -g -ansi -Wall -Wextra -Wpedantic -Werror -o ./example/view ./example/view.c
#~gcc -g -ansi -Wall -Wextra -Wpedantic -Werror -c -o ./example/view.o ./example/view.c
#~gcc -o ./example/view ./example/view.o /usr/include/xolatile/xurses.o

valgrind --show-leak-kinds=all --leak-check=full --log-file=./example/view.log ./example/view

xighlight -V < ./example/view.log

exit
